<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'attendance';

		/* data for selected record, or defaults if none is selected */
		var data = {
			student_course: <?php echo json_encode(array('id' => $rdata['student_course'], 'value' => $rdata['student_course'], 'text' => $jdata['student_course'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for student_course */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'student_course' && d.id == data.student_course.id)
				return { results: [ data.student_course ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

